> For the complete documentation index, see [llms.txt](https://docs.sigrex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sigrex.io/api-reference/reference.md).

# Reference

- [Sigrex API](https://docs.sigrex.io/api-reference/reference/sigrex-api.md)
- [Exchanges](https://docs.sigrex.io/api-reference/reference/exchanges.md)
- [Strategies](https://docs.sigrex.io/api-reference/reference/strategies.md)
- [LLM Sessions](https://docs.sigrex.io/api-reference/reference/strategies/llm-sessions.md)
- [Code Strategies](https://docs.sigrex.io/api-reference/reference/strategies/code-strategies.md)
- [Reactions](https://docs.sigrex.io/api-reference/reference/strategies/reactions.md)
- [LLM Reaction](https://docs.sigrex.io/api-reference/reference/strategies/reactions/llm-reaction.md)
- [Code Reaction](https://docs.sigrex.io/api-reference/reference/strategies/reactions/code-reaction.md)
- [Signal Bots](https://docs.sigrex.io/api-reference/reference/signal-bots.md)
- [CEX Bot](https://docs.sigrex.io/api-reference/reference/signal-bots/cex-bot.md)
- [DEX Bot](https://docs.sigrex.io/api-reference/reference/signal-bots/dex-bot.md)
- [Prediction Bot](https://docs.sigrex.io/api-reference/reference/signal-bots/prediction-bot.md)
- [Hooks](https://docs.sigrex.io/api-reference/reference/hooks.md)
- [Bot Hooks](https://docs.sigrex.io/api-reference/reference/hooks/bot-hooks.md)
- [Data Hooks](https://docs.sigrex.io/api-reference/reference/hooks/data-hooks.md)
- [API Keys](https://docs.sigrex.io/api-reference/reference/api-keys.md)
- [LLM API Keys](https://docs.sigrex.io/api-reference/reference/api-keys/llm-api-keys.md)
- [Exchange API Keys](https://docs.sigrex.io/api-reference/reference/api-keys/exchange-api-keys.md)
- [Prediction API Keys](https://docs.sigrex.io/api-reference/reference/api-keys/prediction-api-keys.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sigrex.io/api-reference/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
